DSC_0070.jpg=The entrance to the resort hotel.
DSC_0022.jpg=My favorite photo.
DSC_0029.jpg=Tim chows down.
DSC_0088.jpg=Two feet of new snow.
DSC_0020.jpg=Goose
DSC_0068.jpg=The buidling with our rooms.
DSC_0038.jpg=The lake behind the resort.
DSC_0002.jpg=Cousin Tim
DSC_0031.jpg=Heading home.
DSC_0017.jpg=Tim
DSC_0012.jpg=Narrow rooms that sleep four.
DSC_0058.jpg=The resort from above.
DSC_0074.jpg=Thought balloon: If I don't return home will my parents notice?
DSC_0067.jpg=A retired rescue dog.
DSC_0042_2.jpg=Dirt poor but everyone has a satellite dish.
DSC_0040.jpg=Notice the skull and cross bones on the flag.
DSC_0003.jpg=Getting a closer look at local vegetation. Photo taken from inside the bus on the way to the resort. 
DSC_0072.jpg=Hotel dogs.
